body.woocommerce-cart {
	background: var(--light);

	& main {
		@media (--m) {
			min-height: 80vh;
			padding: 2em 0;
		}
	}

	& .footer_top,
	& .header__row--navigation {
		@media (--m) {
			display: none;
		}
	}
}

.page-block--cart {
	& .page-block__grid {
		flex-direction: column;

		@media (--sm) {
			flex-direction: row;
		}
	}

	& .page-block__col--main {
		width: 100%;

		@media (--sm) {
			width: auto;
			flex: 1 1 0;
		}
	}

	& .page-block__col--sidebar {
		display: block;
		margin-top: 1em;

		@media (--sm) {
			width: 33.33%;
			margin-top: 0;

			& .page-block__inner {
				position: sticky;
				top: 10px;
				width: 100%;
			}
		}
	}

	& .page-block__inner {
		margin-top: 1em;
		padding: 1em;
		background: var(--white);
		border-radius: var(--border-radius);
	}

	& .checkout-button {
		@mixin button-style-primary;
		@mixin button-large;

		width: 100%;
		margin-top: 1em;
		text-align: center;

		@media (--m) {
			padding: 15px 40px;
			font-size: 1.15rem;
		}
	}
}

.woocommerce .woocommerce-info.cart-empty {
	@mixin large-text;

	width: 100%;
	margin-bottom: 1em;
	padding: 0;
	color: var(--dark);
	background: transparent;
}

.woocommerce .button.wc-backward {
	@mixin button-style-primary;

	text-align: center;
	margin-top: 1em;
	padding: 0.5em 2em;
}

.cart_totals {
	& .woocommerce-shipping-totals {
		flex-direction: column;
		padding-top: 5px;

		& td {
			text-align: left !important;
			padding: 0;
		}

		& th {
			text-align: left;
			padding-top: 3px;
		}
	}
}

.shipping-calculator-form {
	padding-top: 10px;

	& button[type='submit'] {
		margin-top: 10px;
		background: var(--dark);

		&:hover {
			background: var(--black);
		}
	}
}

.shop_table.woocommerce-cart-form__contents {
	display: block;
	width: 100%;

	@media (--m) {
		display: table;
	}

	& thead {
		display: none;
	}

	& tbody {
		display: block;
		width: 100%;

		@media (--m) {
			display: table;
		}
	}

	& td {
		@media (--m) {
			vertical-align: top;
			padding: 1em 0;
			border-bottom: 1px solid var(--border);
		}

		&.actions {
			padding-bottom: 0;
		}
	}

	& tr:last-child {
		width: 100%;
		display: block;
		border-bottom: 0;

		@media (--m) {
			display: table-row;
		}

		& td {
			border-bottom: 0;
			width: 100%;
			display: block;

			@media (--m) {
				display: table-cell;
				padding: 10px 0;
			}
		}
	}

	& .product-quantity {
		@media (--m) {
			text-align: right;
		}
	}

	& th:not(:first-child):not(.product-thumbnail),
	& td:not(:first-child):not(.product-thumbnail) {
		padding-left: 10px;
		padding-right: 15px;
		padding-bottom: 15px;
		line-height: 1.25;

		@media (--s) {
			padding-left: 15px;
			padding-right: 15px;
		}
	}

	& .product-thumbnail {
		position: absolute;
		top: 1em;
		left: 0;
		width: 70px;

		& a {
			display: flex;
			overflow: hidden;

			&:hover {
				& img {
					@media (--m) {
						transform: scale(1.1);
					}
				}
			}
		}

		& img {
			width: 100%;
			max-width: 100%;
			height: auto;
			transition: transform 0.3s;
		}

		@media (--m) {
			display: table-cell;
			position: static;
			top: unset;
			left: unset;
			width: 150px;
		}
	}

	& .product-name {
		text-align: left;

		@media (--m) {
			max-width: 300px;
		}

		& a {
			color: var(--body-text-color);
			text-decoration: none;

			&:hover {
				color: var(--primary);
			}
		}

		& .variation {
			& > * {
				display: inline-block;
			}

			& > dt {
				font-weight: var(--font-bold);
			}

			& > dd {
				margin-left: 0;
			}
		}
	}

	& .product-price-wrapper {
		display: flex;
		flex-wrap: wrap;
		font-weight: var(--font-bold);
		color: var(--dark);

		& ins {
			width: 100%;
			display: block;
		}

		& del {
			display: inline-block;
			margin-top: 5px;
			font-weight: var(--font-normal);
			font-size: 0.85rem;
			color: var(--gray);
			order: 2;
		}

		& .percentage {
			order: 3;
			display: inline-block;
			margin-top: 5px;
			margin-left: 5px;
			color: var(--primary);
			font-size: 0.85rem;

			&::before {
				content: ' | ';
				color: var(--gray);
				opacity: 0.75;
			}
		}
	}

	& .product-subtotal {
		display: none;
	}

	& .product-remove {
		position: absolute;
		bottom: 1em;
		right: 0;

		@media (--m) {
			bottom: 16px;
			right: 15px;
			left: unset;
			padding: 0;
			border: 0;
		}

		& a {
			font-size: 0.85rem;
			line-height: 1;
			color: var(--dark);

			@media (--m) {
				&:hover {
					color: var(--primary);
				}
			}
		}
	}

	& .coupon {
		display: flex;
		width: 100%;
		margin-bottom: 1em;
		border: 1px solid var(--border);
		border-radius: var(--border-radius);
		overflow: hidden;

		@media (--m) {
			width: 50%;
			display: inline-flex;
			margin-bottom: 0;
		}

		& input[name='coupon_code'] {
			width: calc(100% - 85px);
			margin: 0;
			padding: 0 10px;
			border: 0;
			border-radius: var(--border-radius) 0 0 var(--border-radius);
		}

		& button[type='submit'] {
			border-radius: 0 var(--border-radius) var(--border-radius) 0;
			white-space: nowrap;
			padding: 0 1em;
			line-height: 44px;

			@media (--s) {
				padding-left: 1em;
				padding-right: 1em;
			}
		}

		& label {
			display: none;
		}
	}

	& button[name='update_cart'] {
		@mixin button-style-secondary;
		@mixin button-large;

		display: none;
		width: 100%;
		min-width: 135px;

		&:disabled {
			opacity: 0.25;
		}

		@media (--s) {
			float: right;
			width: auto;
			padding-left: 1em;
			padding-right: 1em;
		}
	}
}

.cart_item {
	& .product-name {
		& .variation {
			display: flex;
			flex-wrap: wrap;
			margin: 0;
			font-size: 0.85rem;

			& > * {
				display: inline-block;
				margin-top: 6px;
			}

			& > dt {
				width: 40%;
				font-weight: 600;
			}

			& > dd {
				margin-left: 0;
				width: 60%;
			}
		}
	}
}

tr.woocommerce-cart-form__cart-item {
	position: relative;
	display: flex;
	flex-direction: column;
	margin-bottom: 1em;
	padding-top: 1em;
	padding-left: 70px;
	border-bottom: 1px dashed var(--border);

	@media (--m) {
		display: table-row;
		padding: 0;
	}
}
